Name:           python-openshift-python-wrapper
Version:        11.0.25
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Wrapper around https://github.com/kubernetes-client/python

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://pypi.org/project/openshift-python-wrapper/
Source:         %{pypi_source openshift_python_wrapper}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'openshift-python-wrapper' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-openshift-python-wrapper
Summary:        %{summary}

%description -n python3-openshift-python-wrapper %_description


%prep
%autosetup -p1 -n openshift_python_wrapper-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-openshift-python-wrapper -f %{pyproject_files}


%changelog
%autochangelog